Bug 866554 - adding a gluster volume returns an unexcepted exception
adding a gluster volume returns an unexcepted exception
Status: CLOSED INSUFFICIENT_DATA
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.1 GA
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Einav Cohen
gluster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:37 EDT by exploit
Modified: 2016-01-28 16:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 04:36:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description exploit 2012-10-15 11:37:27 EDT
Description of problem:
adding a new volume fails with the exit message : "Error while executing action Create Gluster Volume: Unexpected exception"

Version-Release number of selected component (if applicable):
ovirt-engine-3.1.0-3.1345126685.git7649eed.fc17.noarch
vdsm-4.10.1-0.18.git112fd54.fc17.x86_64
F17

How reproducible:


Steps to Reproduce:
1.regestering a host into an iSCSI domain
2.after being active, creating volume
3.add bricks in a distribuate volume
  
Actual results:
"Error while executing action Create Gluster Volume: Unexpected exception"

Expected results:
new created volume appears into the volume tab

Additional info:
when having a look to the host itself, it appears that the volume is created. it should be a bug in the interface that doesn't list the created volumes
Comment 1 exploit 2012-10-15 13:05:56 EDT
2012-10-15 19:00:50,505 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (ajp--127.0.0.1-8009-3) [1f37fee7] Failed in CreateGlusterVolumeVDS method
2012-10-15 19:00:50,506 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (ajp--127.0.0.1-8009-3) [1f37fee7] Error code unexpected and error message VDSGenericException: VDSErrorException: Failed to CreateGlusterVolumeVDS, error = Unexpected exception
2012-10-15 19:00:50,506 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (ajp--127.0.0.1-8009-3) [1f37fee7] Command CreateGlusterVolumeVDS execution failed. Exception: VDSErrorException: VDSGenericException: VDSErrorException: Failed to CreateGlusterVolumeVDS, error = Unexpected exception
2012-10-15 19:00:50,507 INFO  [org.ovirt.engine.core.vdsbroker.gluster.CreateGlusterVolumeVDSCommand] (ajp--127.0.0.1-8009-3) [1f37fee7] FINISH, CreateGlusterVolumeVDSCommand, log id: 67acc258
2012-10-15 19:00:50,508 ERROR [org.ovirt.engine.core.bll.gluster.CreateGlusterVolumeCommand] (ajp--127.0.0.1-8009-3) [1f37fee7] Command org.ovirt.engine.core.bll.gluster.CreateGlusterVolumeCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to CreateGlusterVolumeVDS, error = Unexpected exception
Comment 2 Tal Nisan 2013-03-14 07:21:43 EDT
Is this still an issue or was it solved in 3.2?

Note You need to log in before you can comment on or make changes to this bug.